#!/bin/sh
# test we are root
if [ "$(id -u)" != "0" ]; then
   exit 1
fi

export CFLAGS="-mtune=generic -Os -pipe"
export CXXFLAGS="-mtune=generic -Os -pipe "

P=taglib
# V=2.0.1 taglib has issues
V=1.13.1
SRC=$P-$V
USER=`cat /etc/sysconfig/tcuser`
LIST="compiletc submitqc cmake utfcpp-dev cppunit-dev "
for Z in $LIST
    do 
    su -c "tce-load -i $Z" $USER
done

cd /tmp
su -c "/usr/local/bin/wget -nc --no-check-certificate \
https://github.com/$P/$P/archive/refs/tags/v$V.tar.gz   " $USER 
tar xvf v$V*gz
cd $SRC
mkdir build && cd build
cmake -DCMAKE_INSTALL_PREFIX=/usr/local -DCMAKE_INSTALL_LOCALSTATEDIR=/var -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_VERBOSE_MAKEFILE=TRUE -DBUILD_SHARED_LIBS=ON ../
make -j5  # 1 M
make install DESTDIR=/tmp/$P
cd /tmp

# dev
##### 
mkdir -p $P-dev/usr/local/lib
mkdir -p $P-dev/usr/local/include
mv $P/usr/local/include $P-dev/usr/local/
# mv $P/usr/local/lib/cmake $P-dev/usr/local/lib
mv $P/usr/local/lib/pkgconfig/ $P-dev/usr/local/lib/
mv $P/usr/local/bin $P-dev/usr/local/ 

# main
######
mkdir -p $P/usr/local/share/doc/$P
echo 'GPL v2' > $P/usr/local/share/doc/$P/COPYING

strip --strip-unneeded $P/usr/local/lib/*.so*

# TCZ them
###########
LIST2="$P $P-dev "
for Z in $LIST2
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
	cd /tmp
done

ls -hal

echo 'Title:          taglib-dev.tcz
Description:    dev files
Version:        1.13.1
Author:         https://github.com/taglib/taglib/blob/master/AUTHORS         
Original-site:  https://github.com/taglib/taglib 
Copying-policy: LGPL v 2.1
Size:           220K           
Extension_by:   aus9 @linuxquestions.org
Tags:           audio tag
Comments:       Developement plus contains unused /bin/exe
                
Change-log:     2013/12/19 v 1.9.1 (Juanito)
                2017/07/13 v 1.11.1
Current:        2024/04/26 v 1.13.1 on 15x (aus9)   ' > $P-dev.tcz.info  
echo 'taglib.tcz                                   ' > $P-dev.tcz.dep 

echo 'Title:          taglib.tcz
Description:    audio tag library
Version:        1.13.1
Author:         https://github.com/taglib/taglib/blob/master/AUTHORS         
Original-site:  https://github.com/taglib/taglib 
Copying-policy: LGPL v 2.1
Size:           472K          
Extension_by:   aus9 @linuxquestions.org
Tags:           audio tag
Comments:       library used for reading, writing and manipulating audio file tags
                
Change-log:     2013/12/19 v 1.9.1 (Juanito)
                2017/07/13 v 1.11.1
Current:        2024/04/26 v 1.13.1 on 15x (aus9)     ' > $P.tcz.info  
readelf -d $P/usr/local/lib/*.so | grep 'NEEDED' 
# [libtag.so.2] this TCE...no dep


submitqc --libs
rm -rf *.zsync


